Jump to content

[AutoCAD] Tracing aerial neighborhoods


Peter M. Gruhn
 Share

Recommended Posts

I get to model site context. Trace lots of little buildings from GoogleEarth screen captures. Where I live there aren't too many buildings in the same orientation and few of them oriented to site axes. So here's a few scripts I've cobbled together to make things easier for me. They cluster around the idea of changing the UCS and drawing rectangles. I tend towards short two letter command names. RECTANG has been shortcutted (new word!) to RR (because I use R for ROTATE).

 

; UCS Z then REC

; Pauses for line input then invoke Rect

(defun C:ZR ()

(setq pt_one (getpoint ""))

(setq pt_two (getpoint ""))

(command "._UCS" "new" "Z" pt_one pt_two)

(command "._RECTANG" "" "")

(princ)

)

 

; 3 Points define rectangle

(defun C:3R()

(setq p1 (getpoint ""))

(setq p2 (getpoint ""))

(command "._UCS" "move" p1)

(command "._UCS" "new" "Z" p1 p2)

(setq p3 (getpoint ""))

(command "._RECTANG" "0,0" p3)

(C:UG)

(princ)

)

 

; UCS Rotate Z mark 2

; Pauses for line input

(defun C:ZZ ()

(command "._UCS" "new" "Z" pause)

(princ)

)

 

; UCS Global

(defun C:UG ()

(command "._UCS" "W")

(princ)

)

 

Typically I would use ZR to set the ucs and draw a rectangle then RR to keep drawing ells, porches, garages and the next door neighbor; then ZR for the next group. It's better to clean up right away when you know what's where and don't have to assess the tracing fresh. But it's also better to keep in the drawing rhythm and do cleanup later.

 

Just now I had a neighborhood where there was little reuse of the ucs so I made 3R so I could just hit three points (clockwise or counter clockwise, do not go "origin, x, y". you'll be sad) and get a rectangle. The corners of the rectangle come from first and third clicks. The second click only defines the direction of the x axis and does not determine size.

 

Sometimes the easy orientation in a photo comes from the roof ridge, ZR works better there.

 

ZZ and UG are tossed in because I use them in this workflow. UG just because and ZZ because sometimes an existing trace needs to be revisited.

 

I think next job I'm going to turn off the ucs reset in 3R because enough of the time hitting RR and doing a few more rects would be nice.

 

It's all about how you work and what works best for you. This is all fluid and workflows can be changed. Continue the thread with ideas or "OMG you do that? Haven't you heard of..."s.

 

I'm contemplating doing an extrude as soon as a rectangle is created. It will make for a messier model but that's a lot less important with renderers these days than it used to be AND you can always go back and union things.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...